package org.vamsas.client.picking;

import java.io.*;
import java.net.*;

class PickServer extends Thread
{
	static final int PORT = 53782;
	
	private ServerSocket serverSocket;
	private boolean isServer = false;
	
	private PickManager manager;
	
	PickServer(PickManager manager)
	{
		this.manager = manager;
	}
	
	boolean isServer()
		{ return isServer; }
	
	boolean createServer()
	{
		try
		{
			serverSocket = new ServerSocket(PORT);
			start();			
			
			return isServer = true;
		}
		catch (IOException e)
		{
			// If we fail, just assume another app already has the port
			System.out.println("SERVER: " + e);
			return false;
		}
	}
	
	public void run()
	{
		System.out.println("SERVER: listening on " + PORT + " - SERVER");
		
		// Loop forever, accepting connectons from other clients
		while (true)
		{
			try
			{
				Socket socket = serverSocket.accept();				
				System.out.println("SERVER: connection detected");
				
				manager.addClientConnection(socket);
			}
			catch (IOException e) {}
		}
	}
}